--- ./postprocess/packcomponents/makefile.mk	2013-03-07 14:35:46.647185696 +0000
+++ ./postprocess/packcomponents/makefile.mk	2013-03-07 15:09:41.379234180 +0000
@@ -241,26 +241,6 @@
 my_components += component/framework/util/lomenubar
 .END
 
-.IF "$(SOLAR_JAVA)" == "TRUE"
-my_components += \
-    LuceneHelpWrapper \
-    component/xmerge/source/bridge/XMergeBridge \
-    component/filter/source/xsltfilter/XSLTFilter.jar \
-    component/filter/source/xsltvalidate/XSLTValidate \
-    component/scripting/java/ScriptFramework \
-    component/scripting/java/ScriptProviderForJava \
-    component/wizards/com/sun/star/wizards/agenda/agenda \
-    component/wizards/com/sun/star/wizards/fax/fax \
-    component/wizards/com/sun/star/wizards/form/form \
-    hsqldb \
-    jdbc \
-    component/wizards/com/sun/star/wizards/letter/letter \
-    component/wizards/com/sun/star/wizards/query/query \
-    component/wizards/com/sun/star/wizards/report/report \
-    component/wizards/com/sun/star/wizards/table/table \
-    component/wizards/com/sun/star/wizards/web/web
-.END
-
 .IF "$(WITH_LDAP)" == "YES"
 my_components += ldapbe2
 .END
@@ -290,21 +270,6 @@
 my_components += component/avmedia/source/quicktime/avmediaQuickTime
 .END
 
-.IF "$(OS)" == "WNT"
-my_components += \
-    ado \
-    fop \
-    fps \
-    java_uno_accessbridge \
-    smplmail \
-    wininetbe1 \
-    component/dtrans/source/generic/dtrans \
-    component/dtrans/util/dnd \
-    component/dtrans/util/ftransl \
-    component/dtrans/util/sysdtrans \
-    component/vcl/vcl.windows
-.END
-
 .IF "$(OS)" != "MACOSX" && "$(OS)" != "WNT" && "$(OS)" != "IOS" && "$(OS)" != "ANDROID"
 my_components += \
     desktopbe1 \
@@ -361,40 +326,6 @@
         '<list>$(my_components:^"<filename>":+".component</filename>")</list>' \
         > $@
 
-.IF "$(ENABLE_SCRIPTING_BEANSHELL)" == "YES"
-ALLTAR : $(MISC)/scriptproviderforbeanshell.rdb
-
-$(MISC)/scriptproviderforbeanshell.rdb .ERRREMOVE : \
-        $(SOLARENV)/bin/packcomponents.xslt \
-        $(MISC)/scriptproviderforbeanshell.input \
-        $(SOLARXMLDIR)/component/scripting/java/ScriptProviderForBeanShell.component
-    $(XSLTPROC) --nonet --stringparam prefix $(SOLARXMLDIR)/ -o $@ \
-        $(SOLARENV)/bin/packcomponents.xslt \
-        $(MISC)/scriptproviderforbeanshell.input
-
-$(MISC)/scriptproviderforbeanshell.input : makefile.mk
-    echo \
-        '<list><filename>component/scripting/java/ScriptProviderForBeanShell.component</filename></list>' \
-        > $@
-.END
-
-.IF "$(ENABLE_SCRIPTING_JAVASCRIPT)" == "YES"
-ALLTAR : $(MISC)/scriptproviderforjavascript.rdb
-
-$(MISC)/scriptproviderforjavascript.rdb .ERRREMOVE : \
-        $(SOLARENV)/bin/packcomponents.xslt \
-        $(MISC)/scriptproviderforjavascript.input \
-        $(SOLARXMLDIR)/component/scripting/java/ScriptProviderForJavaScript.component
-    $(XSLTPROC) --nonet --stringparam prefix $(SOLARXMLDIR)/ -o $@ \
-        $(SOLARENV)/bin/packcomponents.xslt \
-        $(MISC)/scriptproviderforjavascript.input
-
-$(MISC)/scriptproviderforjavascript.input : makefile.mk
-    echo \
-        '<list><filename>component/scripting/java/ScriptProviderForJavaScript.component</filename></list>' \
-        > $@
-.END
-
 .IF "$(WITH_BINFILTER)" == "YES"
 ALLTAR: $(MISC)/bf_migratefilter.rdb $(MISC)/bindet.rdb
 
